# Bank Account Holder Verification

Source: https://docs.gocardless.com/docs/api-reference/bank-account-holder-verification

## Create a bank account holder verification.

`POST /bank_account_holder_verifications`

Verify the account holder of the bank account. A complete verification can be attached when creating an outbound payment. This endpoint allows partner merchants to create Confirmation of Payee checks on customer bank accounts before sending outbound payments.

### Request body

Wrap request body attributes in a `bank_account_holder_verifications` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `type` | string | No | Type of the verification that has been performed eg. [Confirmation of Payee](https://www.wearepay.uk/what-we-do/overlay-services/confirmation-of-payee/) |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Get a bank account holder verification.

`GET /bank_account_holder_verifications/{bank_account_holder_verification_id}`

Fetches a bank account holder verification by ID.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `bank_account_holder_verification_id` | path | string | Yes | The bank account holder verification id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
